Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79831 - even a simple cron executed more frequently flud root mail box
Summary: even a simple cron executed more frequently flud root mail box
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Ben Levenson
URL: http://lists.debian.org/debian-user/2...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 10:57 UTC by umaid singh
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 14:10:14 UTC


Attachments (Terms of Use)

Description umaid singh 2002-12-17 10:57:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
even a simple cron executed more frequently flud root mail box
with the error message 

 yp_all: clnt_call: RPC: Unable to receive; errno = Connection reset bypeer

We are running hundreds of systems and get thousands of mails every day. We need
to find a way out to avoid such simple error messages in the form of mails.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run any simple cron as a normal user in NIS environment with more frequency(
like evry half an our ) to collect some data.
2.And Your root mail box will be fludded with mails from cron daemon
3.
    

Actual Results:  
And Your root mail box will be fludded with mails from cron daemon

Expected Results:  The NIS servers availability on the network for a couple of
seconds or a minute is not that serious. The /etc/yp.conf file has more servers
and that takes care of switching to other server if one is not available. So for
such a small and not so critical error it is not worth wile to get a mail to
root.

Additional info:

Comment 1 Alexander Larsson 2002-12-17 11:07:26 UTC
mails from cron can be avoided by setting MAILTO="" in the crontab file.
I don't understand what it is you are considering a bug?


Comment 2 umaid singh 2002-12-19 12:35:11 UTC
thanks a lot if it works fine.


Note You need to log in before you can comment on or make changes to this bug.